Skip to main content
Resource Center/Resource Pool/VM Instance Operations
POSTVM Instance OperationsSince 4.0.0SynchronousAuth Required

GetVmsCapabilities

GetVmsCapabilities

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • vmUuidsStringRequired

      The UUID of the VM instance to be queried.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • vmsCapsMapRequired

    For more information, see vmsCaps.

    • supportLiveMigrationbooleanRequired

      No description provided.

    • supportVolumeMigrationbooleanRequired

      No description provided.

    • supportReimagebooleanRequired

      No description provided.

    • supportMemorySnapshotbooleanRequired

      支持内存快照。

Endpoint

POST/zstack/v1/vm-instances/capabilities

/zstack/v1/vm-instances/capabilities

Operation ID

GetVmsCapabilities

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/vm-instances/capabilities' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"vmUuids":"<vmUuids>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "vmsCaps": { "68e8ed0735333faab95816b3e8596cea": { "supportLiveMigration": true, "supportVolumeMigration": true, "supportReimage": true, "supportMemorySnapshot": false } } }

Change History

This API has no change history records yet.

View all change history